SND_AC97_PCM_ASSIGN(9)

NAME
snd_ac97_pcm_assign - assign AC97 slots to given PCM streams

SYNOPSIS

int snd_ac97_pcm_assign(struct snd_ac97_bus * bus, unsigned short pcms_count, const struct ac97_pcm * pcms);

ARGUMENTS

bus
    the ac97 bus instance

pcms_count
    count of PCMs to be assigned

pcms
    PCMs to be assigned

DESCRIPTION

It assigns available AC97 slots for given PCMs. If none or only some slots are available, pcm->xxx.slots and pcm->xxx.rslots[] members are reduced and might be zero.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT